#pragma once

#include <stdint.h>

struct gdt_entry {
    uint32_t limit;
    uint32_t base;
    uint8_t access_byte;
    uint8_t flags;
};

// https://wiki.osdev.org/Global_Descriptor_Table#GDTR
struct gdt_descriptor {
    uint16_t size;
    uint32_t base;
} __attribute__((packed));

void initGdt();